local LensWarp = CurrentMod

function CoreEnvironmentControllerManager:get_default_lens_distortion_value()
	local settings_value = LensWarp.Options:GetValue("Strength")
	return settings_value or 1.02
end

function CoreEnvironmentControllerManager:set_lens_distortion_power(lens_distortion)
	if LensWarp.Options:GetValue("Forced") then
		self._lens_distortion = self:get_default_lens_distortion_value()
	else
		self._lens_distortion = lens_distortion
	end
end